Illumience API

Single Device Query

Security is implemented for this end point. Please see the Introduction page for details on how to implement this as the query will generate an error otherwise.

GET https://api.illumience.com/v2/devices/{mac}

Query a single MAC address. Replace {mac} with the full MAC address. Example: /v2/devices/010203

Headers

NameTypeDescription
apikey*StringThe apikey provided to access your customer data

200: OK

401: Unauthorized

500: Internal Server Error

Example Response

Status 200


    {
      "mac": "string",
      "nickname": "string",
      "date": "string",
      "time": "string",
      "batteryVoltage": 0.00,
      "batteryCurrent": 0.00,
      "batteryTemperatureC": 0.00,
      "solar1Voltage": 0.00,
      "solar1Current": 0.00,
      "solar2Voltage": 0.00,
      "solar2Current": 0.00,
      "port3Voltage": 0.00,
      "port3Current": 0.00,
      "load1Voltage": 0.00,
      "load1Current": 0.00,
      "load2Voltage": 0.00,
      "load2Current": 0.00,
      "faults": [
        "none",
        "lowVoltageDisconnectLoad1",
        "lowVoltageReconnectLoad1",
        "lowVoltageDisconnectLoad2",
        "lowVoltageReconnectLoad2",
        "shortCircuitPort3",
        "shortCircuitLoad1",
        "shortCircuitLoad2"
      ],
      "enabled": [
        "none",
        "p1",
        "p2",
        "p3",
        "l1",
        "l2"
      ]
    }